<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "https://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="https://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="content-type" content="text/html; charset=UTF-8"/>
<title>TestNG Report</title>
<style type="text/css">table {margin-bottom:10px;border-collapse:collapse;empty-cells:show}th,td {border:1px solid #009;padding:.25em .5em}th {vertical-align:bottom}td {vertical-align:top}table a {font-weight:bold}.stripe td {background-color: #E6EBF9}.num {text-align:right}.passedodd td {background-color: #3F3}.passedeven td {background-color: #0A0}.skippedodd td {background-color: #DDD}.skippedeven td {background-color: #CCC}.failedodd td,.attn {background-color: #F33}.failedeven td,.stripe .attn {background-color: #D00}.stacktrace {white-space:pre;font-family:monospace}.totop {font-size:85%;text-align:center;border-bottom:2px solid #000}.invisible {display:none}</style>
</head>
<body>
<table>
<tr><th>Test</th><th># Passed</th><th># Skipped</th><th># Retried</th><th># Failed</th><th>Time (ms)</th><th>Included Groups</th><th>Excluded Groups</th></tr>
<tr><th colspan="8">Amazon UI Test</th></tr>
<tr><td><a href="#t0">Regression Test</a></td><td class="num">5</td><td class="num">0</td><td class="num">0</td><td class="num">0</td><td class="num">37,068</td><td>Regression</td><td></td></tr>
</table>
<table id='summary'><thead><tr><th>Class</th><th>Method</th><th>Start</th><th>Time (ms)</th></tr></thead><tbody><tr><th colspan="4">Amazon UI Test</th></tr></tbody><tbody id="t0"><tr><th colspan="4">Regression Test &#8212; passed</th></tr><tr class="passedeven"><td rowspan="5">com.ui.tests.AmazonProductPriceTest</td><td><a href="#m0">verifyHomePageSearch</a></td><td rowspan="1">1704109085923</td><td rowspan="1">2555</td></tr><tr class="passedeven"><td><a href="#m1">verifyPriceOfProductsInTheCart</a></td><td rowspan="1">1704109117562</td><td rowspan="1">130</td></tr><tr class="passedeven"><td><a href="#m2">verifyProductMainPage</a></td><td rowspan="1">1704109095797</td><td rowspan="1">17078</td></tr><tr class="passedeven"><td><a href="#m3">verifyResultsPage</a></td><td rowspan="1">1704109088760</td><td rowspan="1">1752</td></tr><tr class="passedeven"><td><a href="#m4">verifyTheCart</a></td><td rowspan="1">1704109113398</td><td rowspan="1">3814</td></tr></tbody>
</table>
<h2>Regression Test</h2><h3 id="m0">com.ui.tests.AmazonProductPriceTest#verifyHomePageSearch</h3><table class="result"><tr class="param"><th>Parameter #1</th></tr><tr class="param stripe"><td>iphone</td></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m1">com.ui.tests.AmazonProductPriceTest#verifyPriceOfProductsInTheCart</h3><table class="result"><tr><th class="invisible"/></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m2">com.ui.tests.AmazonProductPriceTest#verifyProductMainPage</h3><table class="result"><tr><th class="invisible"/></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m3">com.ui.tests.AmazonProductPriceTest#verifyResultsPage</h3><table class="result"><tr><th class="invisible"/></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
<h3 id="m4">com.ui.tests.AmazonProductPriceTest#verifyTheCart</h3><table class="result"><tr><th class="invisible"/></tr></table><p class="totop"><a href="#summary">back to summary</a></p>
</body>
</html>
